### Signal

# GtkSource View::line-mark-activated

#### Declaration

    void
    line_mark_activated (
      GtkSourceView* self,
      const GtkTextIter* iter,
      guint button,
      GdkModifierType state,
      gint n_presses,
      gpointer user_data
    )

#### Description [src]

Emitted when a line mark has been activated (for instance when there was a button press in the line marks gutter).

You can use `iter` to determine on which line the activation took place.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the function.

`button`

  Type: `guint`

  The button that was pressed.

`state`

  Type: `GdkModifierType`

  The modifier state, if any.

`n_presses`

  Type: `gint`

  The number of presses.